#
# uxyz6.rb
#   $Id: uxyz6.rb,v 1.2 2000/11/18 19:03:52 keiko Exp $
#


require "narray"
require "numru/dcl"
include NumRu
include Math


id0 = 19911201
nd = 720


#-- graph ---
iws = (ARGV[0] || (puts ' WORKSTATION ID (I)  ? ;'; DCL::sgpwsn; gets)).to_i
DCL::gropn iws

DCL::uzfact(0.8)
DCL::grfrm

DCL::grswnd(-180.0, 180.0, nd, 0.0)
DCL::grsvpt(0.2, 0.8, 0.2, 0.8)
DCL::grstrn(1)
DCL::grstrf

DCL::uxaxdv('B', 10.0, 60.0)
DCL::uxaxdv('T', 10.0, 60.0)
DCL::uxsttl('B', 'LONGITUDE', 0.0)

DCL::ucyacl('L', id0, nd)

DCL::uzlset('LABELYR', true)
DCL::uyaxdv('R', 20.0, 100.0)
DCL::uziset('IROTCYR', -1)
DCL::uysttl('R', 'DAY NUMBER', 0.0)

DCL::uxmttl('T', 'UXAXDV/UCYACL', 0.0)

DCL::grcls

